Last Comment Bug 659447 - Tweaks to Firefox Gingerbread UI
: Tweaks to Firefox Gingerbread UI
Status: VERIFIED FIXED
: polish
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Firefox 6
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 14:37 PDT by Ian Barlow (:ibarlow)
Modified: 2011-08-23 16:30 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Website info menu tweaks (169.33 KB, image/jpeg)
2011-05-24 14:37 PDT, Ian Barlow (:ibarlow)
no flags Details
Updated assets for Gingerbread UI (8.11 KB, application/zip)
2011-05-24 14:45 PDT, Ian Barlow (:ibarlow)
no flags Details
Updated Lock assets for site info menu (2.17 KB, application/zip)
2011-05-26 07:56 PDT, Ian Barlow (:ibarlow)
no flags Details
Assets for Preferences (9.82 KB, application/zip)
2011-05-26 12:00 PDT, Ian Barlow (:ibarlow)
no flags Details
Tap hold selection (43.32 KB, image/png)
2011-05-29 20:40 PDT, Aaron Train [:aaronmt]
no flags Details

Description Ian Barlow (:ibarlow) 2011-05-24 14:37:09 PDT
Created attachment 534887 [details]
Website info menu tweaks

Comments on latest Nightly build from May 24

Left tab bar
* Update tab background assets (there should be no gradients in them)
* Replace close button assets with new assets provided here

Website info dropdown
Update UI as per attached mock:
* Move Larry and text down to align with lock
* Move text right to align with URLbar text
* Center Larry horizontally between left edge and text
* Update menu selection background
Comment 1 Ian Barlow (:ibarlow) 2011-05-24 14:45:57 PDT
Created attachment 534895 [details]
Updated assets for Gingerbread UI
Comment 3 Ian Barlow (:ibarlow) 2011-05-26 06:42:54 PDT
Hi Aaron, I would be happy to go to the light grey we're using elsewhere, #D6D6D6, or to use the same background image we are using in our popup menus, popup-selected-item-hdpi.png (which is also grey)
Comment 4 Ian Barlow (:ibarlow) 2011-05-26 07:56:18 PDT
Created attachment 535340 [details]
Updated Lock assets for site info menu

These new borderless lock images should fix our alignment troubles
Comment 5 Ian Barlow (:ibarlow) 2011-05-26 12:00:17 PDT
Created attachment 535426 [details]
Assets for Preferences

Included here are a dropdown button, radio buttons, and an "update addons" button!
Comment 6 Ian Barlow (:ibarlow) 2011-05-26 12:08:05 PDT
Also, here is where we ended up with the Add-ons page update (which will change a bit once we have a discopane) http://www.cl.ly/190c2G3y3Q411M3A3E18
Comment 7 Aaron Train [:aaronmt] 2011-05-29 20:40:22 PDT
Created attachment 535988 [details]
Tap hold selection

Blue tap hold selection color in Gingerbread theme
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-29 21:46:02 PDT
(In reply to comment #7)
> Created attachment 535988 [details]
> Tap hold selection
> 
> Blue tap hold selection color in Gingerbread theme

Can you file a new bug for this?
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-31 13:30:53 PDT
fixed as part of bug 612193 except for:

* Move text right to align with URLbar text
* Center Larry horizontally between left edge and text

which I didn't do because the alignment of the larry text to the URL text seemed very weak, considering the URL text could shift with an add-on and would have meant we needed to move the larry text to the right. But we already are short on space for the full identification text for long addresses as it is.

Anyhow, we can file a new bug just for that if we really want it.
Comment 10 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-06-23 13:55:01 PDT
Verified all but the highlight and the justification of the Larry due to comment 8 and comment 9:
Mozilla/5.0 (Android; Linux armv71; rv6.0a2) Gecko/20110623 Firefox/6.0a2 Fennec/6.0a2
Device: HTC Flyer
OS: Android 2.3

Note You need to log in before you can comment on or make changes to this bug.